package com.nisum.mongodb.model;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;
import java.util.Map;

@Document
@Slf4j
@Setter
@Getter
@ToString
public class User {
    @Id
    private String userId;
    @Indexed(unique = true)
    private String firstName;
    private String lastName;
    private int age;
    private Date creationDate;
    private Map<String, String> userSettings;
}
